<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Baudelaire</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body>
        <p>Je suis <span class=adjectif>belle</span>, ô <span class=adjectif>mortels</span> ! comme un rêve de pierre,</p>
        <p>Et mon sein, où chacun s'est meurtri tour à tour,</p>
        <p>Est fait pour inspirer au poète un amour</p>
        <p><span class="adjectif">Éternel</span> et <span><span class="adjectif">muet</span> ainsi que</span> la matière.</p>
        
        <p>Je trône dans l'azur comme un sphinx <span class="adjectif">incompris</span> ;</p>
        <p>J'unis un coeur de neige à la <span class="adjectif">blancheur</span> des cygnes ;</p>
        <p>Je hais le mouvement qui déplace les lignes,</p>
        <p>Et jamais je ne pleure et jamais je ne ris.</p>
    
        <script>
                function compterElements(selecteur){
                    return document.querySelectorAll(selecteur).length;
                }
                console.log(compterElements("p"));
                console.log(compterElements(".adjectif"));
                console.log(compterElements("p .adjectif"));
                console.log(compterElements("p > .adjectif"));
        </script>
</body>
</html>

